<tool id="ExtractMask" description="Extracts mask from a defaced MRI image"
  name="extract_mask" version="1.0">
  <authors>
    <author name="Mahlet Birhanu" />
  </authors>
  <command version="1.0" >
    <authors>
      <author name="Mahlet Birhanu" url="" />
    </authors>
    <targets>
      <target arch="*" bin="extract_mask.py" interpreter="python3.6" os="*" paths='bin/'/>
    </targets>
    <description>
      usage: extract_mask.py [-h] -i INPUT_PATH -d DEFACED_PATH [-o RESULT_PATH]
    </description>
  </command>
  <interface>
    <inputs>
      <input cardinality="1-*" datatype="NiftiImageFileCompressed" prefix="-i" description="input image" id="input" name="input" nospace="False" order="1" required="False"/>
      <input cardinality="1-*" datatype="NiftiImageFileUncompressed" prefix="-i" description="input image nii" id="input_nii" name="input_nii" nospace="False" order="1" required="False"/>
      <input cardinality="1-*" datatype="NiftiImageFileCompressed" prefix="-d" description="Defaced image" id="defaced" name="defaced" nospace="False" order="1" required="True"/>
      <input cardinality="1-*" datatype="String" prefix="-o" description="output image name" id="output_name" name="output_name" nospace="False" order="2" required="False" default= "result_mask.nii.gz"/>
      
     </inputs>
    <outputs>
      <output id="image" automatic="True" name="Output Image" datatype="NiftiImageFileCompressed" cardinality="1" method="path" location="result_mask.*\.nii\.gz"/>
    </outputs>
  </interface>
</tool>
